<template>
  <div id="manageMoneyLookDetail">
    <el-row>
      <el-col :span="24" class="debt">
        <el-col :span="24" class="top">
          <topInfo :topTitle="topTitle" :display="display"></topInfo>
        </el-col>
        <el-col :span="24" class="main">
          <el-col :span="24" class="back">
            <detailTop @goBack="goBack"></detailTop>
          </el-col>
          <el-col :span="24" class="info">
            <manageMoneyForm :ruleForm="ruleForm" @submitForm="submitForm" @resetForm="resetForm"></manageMoneyForm>
          </el-col>
        </el-col>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import topInfo from '@/layout/common/topInfo.vue';
import detailTop from '@/layout/common/detailTop.vue';
import manageMoneyForm from '@/layout/financeclaims/manageLookMoneyForm.vue';
import { createNamespacedHelpers, mapGetters, mapState } from 'vuex';
const { mapActions: managemoney } = createNamespacedHelpers('managemoney');
export default {
  name: 'manageMoneyDetail',
  props: {},
  components: {
    topInfo, //头部导航
    detailTop, //头部返回
    manageMoneyForm, //添加理财产品
    ...mapState(['user']),
  },
  data: () => ({
    display: 'none',
    topTitle: '理财产品信息',
    ruleForm: {},
  }),
  created() {
    this.searchInfo();
  },
  computed: {
    id() {
      return this.$route.query.id;
    },
  },
  methods: {
    ...managemoney(['create', 'fetch', 'update', 'orUpdate']),
    async searchInfo() {
      if (this.id) {
        const res = await this.fetch(this.id);
        this.$set(this, `ruleForm`, res.data);
      }
    },
    // 返回
    goBack() {
      this.$router.go(-1);
    },
  },
};
</script>

<style lang="less" scoped>
.debt {
  padding: 20px;
}
.top {
  border-bottom: 1px solid #ccc;
}
.main {
  border-radius: 10px;
  margin: 20px 0 0 0;
  box-shadow: 0 0 3px #666;
}
.main .back {
  padding: 10px 0 10px 15px;
}
</style>
